Package com.google.javascript.jscomp

# Class JsMessage.PlaceholderReference

java.lang.Object
com.google.javascript.jscomp.JsMessage.PlaceholderReference

All Implemented Interfaces:
  `CharSequence`

Enclosing class:
  `JsMessage`

public static class JsMessage.PlaceholderReference extends Object implements CharSequence
A reference to a placeholder in a translatable message.

## Method Summary

Modifier and Type
Method
Description
`char`
`charAt(int index)`
`boolean`
`equals(Object o)`
`String`
`getName()`
`int`
`hashCode()`
`int`
`length()`
`CharSequence`
`subSequence(int start, int end)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.CharSequence

`chars, codePoints, isEmpty`

## Method Details

### length

public int length()

Specified by:
  `length` in interface `CharSequence`

### charAt

public char charAt(int index)

Specified by:
  `charAt` in interface `CharSequence`

### subSequence

public CharSequence subSequence(int start, int end)

Specified by:
  `subSequence` in interface `CharSequence`

### getName

public String getName()

### toString

public String toString()

Specified by:
  `toString` in interface `CharSequence`
Overrides:
  `toString` in class `Object`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`